#ifndef H_BMXBINDER
#define H_BMXBINDER

//------------------------------------------------------------------------------------
// BMXBinder wrappers
//------------------------------------------------------------------------------------

class BMXBinder
{
public:
	s32 binding;
	void (*BMXBinder_deconstructor)(s32 binding);

	BMXBinder()
	{
		binding=0;
		BMXBinder_deconstructor=0;
	}

	void setBinding(s32 newbinding)
	{
		binding=newbinding;
	}

	void bindDeconstructor(void (*bindDecon)(s32 binding))
	{
		BMXBinder_deconstructor=bindDecon;
	}

	s32 getBinding()
	{
		return binding;
	}

	~BMXBinder()
	{
		if (BMXBinder_deconstructor)
			BMXBinder_deconstructor(binding);	
	}
};

#endif